routes/web.php
<?php

use App\Http\Controllers\ModalidadController;
use App\Http\Controllers\MateriaController;
use App\Http\Controllers\ProfileController;
use App\Http\Controllers\HestudiantesController;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "web" middleware group. Make something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

Route::get('/dashboard', function () {
    return view('dashboard');
})->middleware(['auth', 'verified'])->name('dashboard');

Route::middleware('auth')->group(function () {
    Route::get('/profile', [ProfileController::class, 'edit'])->name('profile.edit');
    Route::patch('/profile', [ProfileController::class, 'update'])->name('profile.update');
    Route::delete('/profile', [ProfileController::class, 'destroy'])->name('profile.destroy');
});

<<<<<<< HEAD
Route::get('/documentos',[DocumentoController::class,'index'])->name('documento.index');
Route::get('/documentos/editar',[DocumentoController::class,'editar'])->name('documento.editar');
Route::get('/documentos/{id}',[DocumentoController::class,'show'])->name('documento.show');
Route::post('/documento/capitulo',[DocumentoController::class,'createCapitulo'])->name('documento.capitulo');

Route::resource('materias', MateriaController::class);
Route::resource('hestudiantes', HestudiantesController::class);
require __DIR__.'/auth.php';
=======

Route::get('/modalidad', [ModalidadController::class, 'index'])->name('modalidad.index');
// Route::get('/modalidad/editar',[ModalidadController::class,'editar'])->name('documento.editar');
Route::get('/modalidad/{id}', [ModalidadController::class, 'show'])->name('modalidad.show');
Route::post('/modalidad/capitulo', [ModalidadController::class, 'createCapitulo'])->name('modalidad.capitulo');
Route::post('/modalidad/acapite', [ModalidadController::class, 'createAcapite'])->name('modalidad.acapite');
Route::delete('/modalidad/eliminar/acapite/{id}', [ModalidadController::class, 'destroyAcapite'])->name('modalidad.eliminar.acapite');

Route::resource('estudiantes', EstudianteController::class);

Route::resource('avances', AvanceController::class);

Route::get('/avances/upload/avance', [AvanceController::class, 'showFormAvance'])->name('avances.showFormAvance');
Route::post('/avances/{avance}/create', [AvanceController::class, 'storeAvance'])->name('avances.storeAvance');

Route::resource('/proyectos', ProyectoController::class); // add for Celedonio 

Route::get('proyectos/{proyecto}/revisiones/create', [RevisionController::class, 'createRevision'])->name('revisiones.createRevision');

Route::get('proyectos/{proyecto}/avance', [ProyectoController::class, 'showAvances'])->name('proyectos.showAvances');



Route::resource('revisiones', RevisionController::class);

Route::put('observaciones_capitulos/{id}/estado', [ObservacionCapituloController::class, 'updateEstado'])->name('observaciones_capitulos.update_estado');
Route::put('observaciones_acapites/{id}/estado', [ObservacionAcapiteController::class, 'updateEstado'])->name('observaciones_acapites.update_estado');

Route::get('/acapites/{capituloId}', [AcapiteController::class, 'getAcapites'])->name('acapites.getAcapites');


require __DIR__ . '/auth.php';
>>>>>>> 18935f4a4b7e100c253fd9dff0e9264264624930

resources/views/dashboard.blade.php
@extends('adminlte::page')

@section('title', 'Dashboard')

@section('content_header')
    <h1>Dashboard</h1>
@stop

@section('content')
    <p>Welcome to this beautiful admin panel.</p>
@stop

@section('css')
    <link rel="stylesheet" href="/css/admin_custom.css">
@stop

@section('js')
    <script> console.log('Hi!'); </script>
@stop

resources/views/documento.blade.php
@extends('adminlte::page')

@section('title', 'Documentos de Grado')

@section('content_header')
    <h1>Documentos de grado</h1>
@stop

@section('content')
<div class="card">
    <div class="card-header">
        <h3 class="card-title">Documento de grado</h3>
        <div class="card-tools">
          <!-- Buttons, labels, and many other things can be placed here! -->
          <!-- Here is a label for example -->
 
          {{-- <a href="{{route('documento.editar')}}" class="btn btn-primary">Editar Estructura</a> --}}
        </div>
        <!-- /.card-tools -->
      </div>
    <div class="card-body">
      <div class="row">
        <div class="col-md-6">
            <select name="documento" id="select-documento" class="btn btn-gradient btn-success">
                <option value="1" >Seleccionar documento de grado</option>
                @foreach ($documentos as $documento)
                    <option value={{$documento->id}}>{{$documento->tipoDeDocumento}}</option>
                @endforeach
                <option value=""></option>
                </select>
        </div>
        <div class="col-md-6">
            <ul class="list-unstyled" id="estructura"></ul>
        </div>
      </div>
    </div>
    <div class="card-footer">

      </div>
      <!-- /.card-footer -->
    </div>
    <!-- /.card -->
  </div>


</body>

@stop

@section('css')
    <link rel="stylesheet" href="/css/admin_custom.css">
@stop

@section('js')
<script>
    let selectElement = document.getElementById('select-documento');
    selectElement.addEventListener('change', function() {
        let selectedValue = selectElement.value;
        let url = '/documentos/'+selectedValue;
        fetch(url)
            .then(response => response.json())
            .then(data => {
                const estructura = document.getElementById('estructura');
                data.capitulo.forEach(element => {
                    const li = document.createElement('li');
                    li.textContent = element.nombre;
                    estructura.appendChild(li);
                    const ul = document.createElement('ul');
                    data.subcapitulo.forEach(element1=>{
                        if(element1.capitulo_id==element.id){
                            const li1 = document.createElement('li');
                            li1.textContent=element1.nombre;
                            ul.appendChild(li1);
                        }
                    })
                    li.appendChild(ul);
                });
            
            }
            );  
    });

    const form = document.getElementById('miFormulario');
    const capituloInput = document.getElementById('capitulo');
    const opcionesSelect = document.getElementById('select-opciones');

form.addEventListener('submit', function(event) {
  event.preventDefault(); // Prevenir el envío normal del formulario

  const token = this.querySelector('input[name="_token"]').value; // Obtener el token CSRF desde el formulario

  const formData = new FormData(this); // Obtener los datos del formulario

  fetch(this.action, { // Enviar los datos del formulario a la API
    method: 'POST',
    body: formData,
    headers: {
      'X-CSRF-TOKEN': token // Incluir el token CSRF en las cabeceras de la solicitud
    }
  })
  .then(response => response.json())
  .then(data => {
    // Agregar el nuevo capítulo al select
    console.log(data.capitulos);
    opcionesSelect.innerHTML='';
    data.capitulos.forEach(element => {
        const option = document.createElement('option');
        option.value = element.id;
        option.text = element.nombre;
        opcionesSelect.add(option);
    });

    // Limpiar el campo de capítulo
    capituloInput.value = '';

    // Mostrar un mensaje de confirmación utilizando Toast de AdminLTE
    const toastBody = document.createElement('div');
    toastBody.classList.add('toast-body');
    toastBody.innerText = 'El capítulo se ha guardado correctamente.';

    const toast = document.createElement('div');
    toast.classList.add('toast');
    toast.setAttribute('role', 'alert');
    toast.setAttribute('aria-live', 'assertive');
    toast.setAttribute('aria-atomic', 'true');
    toast.setAttribute('data-delay', '5000');

    const toastHeader = document.createElement('div');
    toastHeader.classList.add('toast-header');
    toastHeader.innerHTML = `
      <i class="fas fa-check-circle mr-2"></i>
      <strong class="mr-auto">¡Éxito!</strong>
      <button type="button" class="ml-2 mb-1 close" data-dismiss="toast" aria-label="Cerrar">
        <span aria-hidden="true">&times;</span>
      </button>
    `;

    toast.appendChild(toastHeader);
    toast.appendChild(toastBody);

    const toastContainer = document.querySelector('.toast-container');
    toastContainer.appendChild(toast);

    const toastInstance = new bootstrap.Toast(toast);
    toastInstance.show();
  })
  .catch(error => {
    console.error(error);
  });
});
    </script>
@stop

resources/views/documentoEdit.blade.php
@extends('adminlte::page')

@section('title', 'Documentos de Grado')

@section('content_header')
    <h1>Documentos de grado Edicion</h1>
   
@stop

@section('content')

<div class="card">
    <div class="card-header">
        <h3 class="card-title">Documento de grado Edicion</h3>
        <div class="card-tools">
          <!-- Buttons, labels, and many other things can be placed here! -->
          <!-- Here is a label for example -->
          <!-- Botón que abre el modal -->
<button type="button" class="btn btn-primary" data-toggle="modal" data-target="#myModal">
    Agregar Capitulo
  </button>
  
  <!-- Modal -->
  <div class="modal fade" id="myModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
    <div class="modal-dialog" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <h4 class="modal-title" id="myModalLabel">Agregar estructura</h4>
          
          <button type="button" class="close" data-dismiss="modal" aria-label="Cerrar">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <div class="modal-body">
            <form id="miFormulario" action="{{route('documento.capitulo')}}" method="POST">
                <!-- Agrega el token CSRF en el formulario -->
                @csrf
              
                <div class="form-group">
                  <label for="capitulo">Capítulo:</label>
                  <input type="text" name="capitulo" id="capitulo" class="form-control">
                </div>
              
                <div class="form-group">
                  <label for="select-opciones">Opciones:</label>
                  <select name="opciones[]" id="select-opciones" class="form-control" multiple>
                    <!-- Aquí se agregarán las opciones dinámicamente -->
                    @foreach ($capitulos as $capitulo)
                        <option value="">{{$capitulo->nombre        }}</option>
                    @endforeach
                  </select>
                
                </div>
                <div class="modal-footer">
                    <button type="submit" class="btn btn-primary">Agregar Capitulo</button>
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Cerrar</button>
       
                  </div>
              </form>
              
              <hr>
        </div>
        <div class="toast-container position-fixed top-0 end-0 p-3">
            <!-- Aquí se agregarán los mensajes de confirmación -->
          </div>
        
      </div>
    </div>
  </div>
        </div>
        <!-- /.card-tools -->
      </div>
    <div class="card-body">
      <div class="row">
        <div class="col-md-6">
            <select name="documento" id="select-documento" class="btn btn-gradient btn-success">
                <option value="1" >Seleccionar documento de grado</option>
                @foreach ($documentos as $documento)
                    <option value={{$documento->id}}>{{$documento->tipoDeDocumento}}</option>
                @endforeach
                <option value=""></option>
                </select>
        </div>
        <div class="col-md-6">
            <div class="accordion" id="accordionExample">
              
                <div class="card" id="estructura">
                  </div>
             
              </div>
              
        </div>
      </div>
    </div>
    <div class="card-footer">
        The footer of the card
      </div>
      <!-- /.card-footer -->
    </div>
    <!-- /.card -->
  </div>
</body>

@stop

@section('css')
    <link rel="stylesheet" href="/css/admin_custom.css">
@stop

@section('js')
<script>
    let selectElement = document.getElementById('select-documento');
    var idDocumentUnique = 0;
    selectElement.addEventListener('change', function() {
        let selectedValue = selectElement.value;
        idDocumentUnique= selectElement.value;
        console.log(idDocumentUnique);
        let url = '/documentos/'+selectedValue;
        fetch(url)
            .then(response => response.json())
            .then(data => {
                const estructura = document.getElementById('estructura');
                data.capitulo.forEach(element => {
                const car_header = document.createElement('div');
                car_header.classList.add("car-header");
                car_header.setAttribute("id","headingOne");
                const h2 = document.createElement("h2");
                const button = document.createElement("button");
                // Agregar las clases a los elementos HTML
                h2.classList.add("mb-0");
                button.classList.add("btn", "btn-link");
                button.setAttribute("type", "button");
                button.setAttribute("data-toggle", "collapse");
                button.setAttribute("data-target", "#collapseOne");
                button.setAttribute("aria-expanded", "true");
                button.setAttribute("aria-controls", "collapseOne");
                // Agregar el texto al botón
                button.textContent = element.nombre;
                // Agregar los elementos al div
                h2.appendChild(button);
                car_header.appendChild(h2);
                 estructura.appendChild(car_header);
                 data.subcapitulo.forEach(element1=>{
                        if(element1.capitulo_id==element.id){
                            // crea el elemento div
                        var div = document.createElement("div");

                        // establece el atributo id en "collapseOne"
                        div.setAttribute("id", "collapseOne");

                        // establece la clase "collapse show"
                        div.setAttribute("class", "collapse show");

                        // crea el elemento h2
                        var h2 = document.createElement("h2");
                        h2.setAttribute("class", "mb-0");

                        // crea el elemento button
                        var button = document.createElement("button");
                        button.setAttribute("class", "btn btn-link");
                        button.setAttribute("type", "button");
                        button.setAttribute("data-toggle", "collapse");
                        button.setAttribute("data-target", "#collapseOne");
                        button.setAttribute("aria-expanded", "true");
                        button.setAttribute("aria-controls", "collapseOne");
                        button.textContent = "Panel 1";

                        // agrega el botón al elemento h2
                        h2.appendChild(button);

                        // crea el elemento div interno
                        var innerDiv = document.createElement("div");
                        innerDiv.setAttribute("class", "card-body");
                        innerDiv.textContent = element1.nombre;

                        // agrega el elemento interno al elemento div
                        div.appendChild(innerDiv);

                        // agrega el elemento div al elemento con el id "accordionExample"
                        document.getElementById("estructura").appendChild(div);

                        }
                    })

                });
            
            }
            );  
    });
   

const form = document.getElementById('miFormulario');
const capituloInput = document.getElementById('capitulo');
const opcionesSelect = document.getElementById('select-opciones');

form.addEventListener('submit', function(event) {
  event.preventDefault(); // Prevenir el envío normal del formulario

  const token = this.querySelector('input[name="_token"]').value; // Obtener el token CSRF desde el formulario

  const formData = new FormData(this); // Obtener los datos del formulario
  
  fetch(this.action, { // Enviar los datos del formulario a la API
    method: 'POST',
    body: formData,
    headers: {
      'X-CSRF-TOKEN': token // Incluir el token CSRF en las cabeceras de la solicitud
    }
  })
  .then(response => response.json())
  .then(data => {
    // Agregar el nuevo capítulo al select
    console.log(data.capitulos);
    opcionesSelect.innerHTML='';
    data.capitulos.forEach(element => {
        const option = document.createElement('option');
        option.value = element.id;
        option.text = element.nombre;
        opcionesSelect.add(option);
    });

    // Limpiar el campo de capítulo
    capituloInput.value = '';

    // Mostrar un mensaje de confirmación utilizando Toast de AdminLTE
    const toastBody = document.createElement('div');
    toastBody.classList.add('toast-body');
    toastBody.innerText = 'El capítulo se ha guardado correctamente.';

    const toast = document.createElement('div');
    toast.classList.add('toast');
    toast.setAttribute('role', 'alert');
    toast.setAttribute('aria-live', 'assertive');
    toast.setAttribute('aria-atomic', 'true');
    toast.setAttribute('data-delay', '5000');

    const toastHeader = document.createElement('div');
    toastHeader.classList.add('toast-header');
    toastHeader.innerHTML = `
      <i class="fas fa-check-circle mr-2"></i>
      <strong class="mr-auto">¡Éxito!</strong>
      <button type="button" class="ml-2 mb-1 close" data-dismiss="toast" aria-label="Cerrar">
        <span aria-hidden="true">&times;</span>
      </button>
    `;

    toast.appendChild(toastHeader);
    toast.appendChild(toastBody);

    const toastContainer = document.querySelector('.toast-container');
    toastContainer.appendChild(toast);

    const toastInstance = new bootstrap.Toast(toast);
    toastInstance.show();
  })
  .catch(error => {
    console.error(error);
  });
});



    </script>
@stop

resources/views/hestudiante.blade.php
@extends('adminlte::page')

@section('title', 'Dashboard')

@section('content_header')
    <h1>Proyectos</h1>
@stop

@section('content')
    <div class="row">
        <div class="col-md-12">
            <div class="box">
                <div class="box-header with-border">
                    <h3 class="box-title">Buscar Proyecto</h3>
                </div>
                <div class="box-body">
                    <form action="{{ route('hestudiantes.index') }}" method="GET">
                        <div class="input-group">
                            <input type="text" class="form-control" name="search" placeholder="Buscar documentos...">
                            <span class="input-group-btn">
                                <button type="submit" class="btn btn-primary">Buscar</button>
                            </span>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
<br>
    <div class="row">
        <div class="col-md-12">
            <div class="box">
                <div class="box-body">
                    @if(request()->has('search') && !empty(request()->input('search')))
                        <div class="row">
                            <div class="col-md-6">
                                <div class="card">
                                    <a data-toggle="collapse" href="#collapse1">
                                        <img src="/images/documentos/documento1.jpg" alt="Documento" width="800" height="600">
                                    </a>
                                    <div id="collapse1" class="collapse">
                                        <div class="card-body">
                                            <h5 class="card-title">Descripción del Documento 1</h5>
                                            <p class="card-text">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nullam ac nisi ac justo lobortis finibus. Curabitur a leo ac risus commodo pharetra ac eu mauris.</p>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <!-- Resto del código... -->
                        </div>
                    @endif
                </div>
                
            </div>
        </div>
    </div>
@stop

@section('css')
    <link rel="stylesheet" href="/css/admin_custom.css">
@stop

@section('js')
    <script>
        console.log('Hi!');
        $(document).ready(function() {
            var showMoreButton = $('#showMoreButton');
            var imagesToToggle = $('.toggle-image');
            var isShowingAll = false;

            showMoreButton.on('click', function() {
                if (isShowingAll) {
                    imagesToToggle.hide();
                    showMoreButton.text('Mostrar más imágenes');
                } else {
                    imagesToToggle.show();
                    showMoreButton.text('Mostrar menos imágenes');
                }
                isShowingAll = !isShowingAll;
            });
        });
    </script>
@stop

resources/views/materia.blade.php
@extends('adminlte::page')

@section('title', 'Materias')

@section('content_header')
    <h1>Materias</h1>
@stop


@section('content')
<div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header">
                    <h3 class="card-title">Lista de Materias</h3>
                    <div class="card-tools">
                                <a href="{{route('materias.create')}}" class="btn btn-primary">Crear Materia</a>
                    </div>
                </div>
                <div class="card-body">
                    <div class="table-responsive">
                        <table class="table table-bordered table-hover">
                            <thead>
                                <tr>
                                    <th>N°</th>
                                    <th>Nombre</th>
                                    <th>Sigla</th>
                                    <th>Grupo</th>
                                    <th>Acciones</th>
                                </tr>
                            </thead>
                            <tbody>
                                @foreach ($materias as $materia)
                                <tr>
                                    <td>{{ $materia->id }}</td>
                                    <td>{{ $materia->nombre }}</td>
                                    <td>{{ $materia->sigla }}</td>
                                    <td>{{ $materia->grupo }}</td>
                                    <td>
                                        <button type="button" class="btn btn-primary btn-sm" data-toggle="modal" data-target="#editarMateria{{$materia->id}}">
                                             Editar
                                        </button>
                                        
                                        <form action="{{ route('materias.destroy', $materia->id) }}" method="POST" style="display: inline;">
                                            @csrf
                                            @method('DELETE')
                                            <button type="submit" class="btn btn-danger btn-sm">Eliminar</button>
                                        </form>
                                    </td>
                                  
                                </tr>
                                @endforeach
                            </tbody>
                        </table>
                    </div>
                    <!-- Modal para editar una materia -->
@foreach ($materias as $materia)
<div class="modal fade" id="editarMateria{{$materia->id}}" tabindex="-1" role="dialog" aria-labelledby="editarMateria{{$materia->id}}Label" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="editarMateria{{$materia->id}}Label">Editar materia</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <form action="{{ route('materias.update', $materia->id) }}" method="POST">
                @csrf
                @method('PUT')
                <div class="modal-body">
                    <div class="form-group">
                        <label for="nombre">Nombre</label>
                        <input type="text" class="form-control" id="nombre" name="nombre" value="{{ $materia->nombre }}" required>
                    </div>
                    <div class="form-group">
                        <label for="sigla">Sigla</label>
                        <input type="text" class="form-control" id="sigla" name="sigla" value="{{ $materia->sigla }}" required>
                    </div>
                    <div class="form-group">
                        <label for="grupo">Grupo</label>
                        <input type="text" class="form-control" id="grupo" name="grupo" value="{{ $materia->grupo }}" required>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Cerrar</button>
                    <button type="submit" class="btn btn-primary">
                    Guardar cambios</button>
                </div>
            </form>
        </div>
    </div>
</div>
@endforeach

                </div>
            </div>
        </div>
    </div>

@stop

@section('css')
    <link rel="stylesheet" href="/css/admin_custom.css">
@stop

@section('js')
<script>
    let selectElement = document.getElementById('select-documento');
    selectElement.addEventListener('change', function() {
        let selectedValue = selectElement.value;
        let url = '/documentos/'+selectedValue;
        fetch(url)
            .then(response => response.json())
            .then(data => {
                const estructura = document.getElementById('estructura');
                data.capitulo.forEach(element => {
                    const li = document.createElement('li');
                    li.textContent = element.nombre;
                    estructura.appendChild(li);
                    const ul = document.createElement('ul');
                    data.subcapitulo.forEach(element1=>{
                        if(element1.capitulo_id==element.id){
                            const li1 = document.createElement('li');
                            li1.textContent=element1.nombre;
                            ul.appendChild(li1);
                        }
                    })
                    li.appendChild(ul);
                });
            
            }
            );  
    });
    </script>

@stop

resources/views/materiacrear.blade.php
@extends('adminlte::page')

@section('title', 'Crear Materia')

@section('content_header')
    <h1>Crear Materia</h1>
@stop

@section('content')
    <div class="row">
        <div class="col-md-6">
            <div class="card">
                <div class="card-body">
                    <form action="{{ route('materias.store') }}" method="POST">
                        @csrf
                        <div class="form-group">
                            <label for="nombre">Nombre</label>
                            <input type="text" name="nombre" id="nombre" class="form-control">
                        </div>
                        <div class="form-group">
                            <label for="sigla">Sigla</label>
                            <input type="text" name="sigla" id="sigla" class="form-control">
                        </div>
                        <div class="form-group">
                            <label for="grupo">Grupo</label>
                            <input type="text" name="grupo" id="grupo" class="form-control">
                        </div>
                        <button type="submit" class="btn btn-primary">Guardar</button>
                    </form>
                </div>
            </div>
        </div>
    </div>
@stop

@section('js')
    @if(session('mensaje'))
        <script>
            toastr.success('{{ session('mensaje') }}');
        </script>
    @endif
@stop